
#ifndef GUS_MOD_H_INCLUDED

#include "types.h"
#include "gus.h"

extern unsigned short MaxPatterns;             // # of Patterns in MOD
extern unsigned char  CurrentPat;
extern unsigned char  CurrentRow;
extern unsigned char  CurrentTick;
extern unsigned char  Speed;
extern unsigned char  NSpeed;
extern unsigned char  Tempo;
extern boolean  VBlank;                    // TRUE means do not use BPM tempos

extern volatile unsigned int TimeCounter;  // For syncing with demos. 1/18.2
extern volatile unsigned char VrtFlag;     // if 1 vertical retrace happened

extern void PollPlayer( void );
extern void InitModule( void );
extern void StopPlaying( void );
extern void StartPlaying( void );

#define GUS_MOD_H_INCLUDED

#endif
